Bug 563480 - Review Request: aduna-commons-concurrent - Extensions to the Java Concurrency package
Summary: Review Request: aduna-commons-concurrent - Extensions to the Java Concurrency...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 561439
Blocks: 567949 567950
TreeView+ depends on / blocked
 
Reported: 2010-02-10 11:41 UTC by Mary Ellen Foster
Modified: 2010-03-14 13:40 UTC (History)
2 users (show)

Fixed In Version: aduna-commons-concurrent-2.6.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-14 13:40:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mary Ellen Foster 2010-02-10 11:41:13 UTC
Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-concurrent.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-concurrent-2.6.0-1.fc12.src.rpm

Description: Extensions to the Java Concurrency package

Comment 2 Mat Booth 2010-02-13 18:21:38 UTC
I will take this one.

Comment 3 Mat Booth 2010-02-14 13:10:53 UTC
I assume you meant to post a link to aduna-commons-concurrent-2.6.0-2, rather than aduna-commons-text-2.6.0-2 ;-)

Rpmlint shows:

aduna-commons-text.x86_64: W: no-documentation
aduna-commons-text.x86_64: W: non-conffile-in-etc
/etc/maven/fragments/aduna-commons-text

But I'm not worried about that: Upstream does not seem to include a copy of the
licence to use as documentation and the other warning is expected because of
the maven dep-map fragment.

Overall, this is a very compliant package. Two things I would suggest are:

1. To have something that ensures no pre-compiled classes are shipped in the source jar and used during the build. Not because that is the case with this package, but because it is good practice for Java packages in general.

Something like this in the %prep section would suffice[1]:

 find -name '*.class' -exec rm -f '{}' \;
 find -name '*.jar' -exec rm -f '{}' \;

2. To note that it is usual for sub-packages (i.e. the javadoc package) to have a fully versioned dependency on the main package:

 Requires: %{name} = %{version}-%{release}


[1] Taken from the template in the Java packaging guidelines:
http://fedoraproject.org/wiki/Packaging:Java#ant_2

Comment 4 Mary Ellen Foster 2010-02-23 14:07:59 UTC
New version:
- Remove BuildRequirements that are pulled in by aduna-commons POM
- Require the main package in the javadoc

http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-concurrent.spec
http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-concurrent-2.6.0-3.fc12.src.rpm

Comment 5 Mat Booth 2010-02-23 20:04:19 UTC
You didn't put the

 find -name '*.class' -exec rm -f '{}' \;
 find -name '*.jar' -exec rm -f '{}' \;

blather in, but that's up to you. It isn't a requirement, just a suggestion in the guidelines. I'm happy to approve this.

APPROVED

Comment 6 Mary Ellen Foster 2010-02-24 10:51:19 UTC
New Package CVS Request
=======================
Package Name: aduna-commons-concurrent
Short Description: Extensions to the Java Concurrency package
Owners: mef
Branches: F-12
InitialCC:

Comment 7 Jason Tibbitts 2010-02-24 20:08:34 UTC
CVS done (by process-cvs-requests.py).

I added an F-13 branch as well.

Comment 8 Fedora Update System 2010-03-01 15:55:31 UTC
aduna-commons-concurrent-2.6.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/aduna-commons-concurrent-2.6.0-3.fc13

Comment 9 Fedora Update System 2010-03-03 02:01:19 UTC
aduna-commons-concurrent-2.6.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aduna-commons-concurrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3461

Comment 10 Fedora Update System 2010-03-14 13:40:23 UTC
aduna-commons-concurrent-2.6.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.